Bug 1568826

Summary: [abrt] icm_start: WARNING: CPU: 3 PID: 1489 at drivers/thunderbolt/switch.c:587 tb_switch_add+0x63c/0x720 [thunderbolt] [thunderbolt]
Product: [Fedora] Fedora Reporter: mooyeolb
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: aditya-shah, airlied, amr, anders.k.olsson, avi, bskeggs, bugzilla, ckellner, danstiner, ewk, fnord, fredoche, hdegoede, ichavero, itamar, ja, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, mooyeolb, philippe.mace, sb, steved, wallner
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/3f31e2bc9a05e8748d0a24eb6e4c9da5541aa5e4
Whiteboard: abrt_hash:5c1a7d3e160f756a217a195c7bd6a9c603998429;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-26 21:01:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg
none
Log of the event none

Description mooyeolb 2018-04-18 09:52:24 UTC
Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 3 PID: 1489 at drivers/thunderbolt/switch.c:587 tb_switch_add+0x63c/0x720 [thunderbolt]
Modules linked in: rfcomm fuse ccm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 snd_soc_skl intel_rapl snd_soc_skl_ipc x86_pkg_temp_thermal intel_powerclamp snd_hda_ext_core snd_soc_sst_dsp coretemp iwlmvm snd_soc_sst_ipc snd_soc_acpi kvm_intel snd_soc_core mac80211 kvm
 iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic wmi_bmof snd_compress snd_pcm_dmaengine ac97_bus intel_wmi_thunderbolt iwlwifi snd_hda_intel snd_hda_codec uvcvideo irqbypass crct10dif_pclmul snd_hda_core videobuf2_vmalloc crc32_pclmul videobuf2_memops snd_hwdep videobuf2_v4l2 btusb ghash_clmulni_intel snd_seq intel_cstate btrtl snd_seq_device intel_uncore intel_rapl_perf snd_pcm btbcm videobuf2_common cfg80211 btintel videodev bluetooth snd_timer joydev media i2c_i801 mei_me rtsx_pci_ms memstick thinkpad_acpi mei shpchp ecdh_generic ucsi_acpi tpm_crb intel_pch_thermal typec_ucsi snd typec wmi soundcore rfkill tpm_tis tpm_tis_core tpm acpi_pad i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm ptp serio_raw pps_core rtsx_pci
 crc32c_intel video i2c_hid
CPU: 3 PID: 1489 Comm: systemd-udevd Not tainted 4.16.2-300.fc28.x86_64 #1
Hardware name: LENOVO 20HRA000KR/20HRA000KR, BIOS N1MET45W (1.30 ) 02/22/2018
RIP: 0010:tb_switch_add+0x63c/0x720 [thunderbolt]
RSP: 0018:ffffab5402797a80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8aaaa3689050 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff8aaadf5968f0
RBP: ffffffffc0e9eaf9 R08: 000000000000004c R09: 0000000000000437
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e9eb01
R13: 0000000000000001 R14: ffff8aaa9cc54af0 R15: ffff8aaaa3688400
FS:  00007f3e6777d180(0000) GS:ffff8aaadf580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f3a5c0072c8 CR3: 000000025ccf2003 CR4: 00000000003606e0
Call Trace:
 icm_start+0x45/0x90 [thunderbolt]
 tb_domain_add+0x9f/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0eaf000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 48 89 4c 24 08 44 89 44 24 04 e8 40 d8 6f d3 44 8b 44 24 04 4c 89 f2 48 8b 4c 24 08 48 89 c6 48 c7 c7 48 fb e9 c0 e8 ee 44 21 d3 <0f> 0b e9 58 fc ff ff 41 8b 97 e4 02 00 00 41 8b 87 e0 02 00 00

Comment 1 mooyeolb 2018-04-18 09:52:29 UTC
Created attachment 1423435 [details]
File: dmesg

Comment 2 Chris Murphy 2018-05-07 23:56:01 UTC
Description of problem:
Appeared during boot/startup.

Version-Release number of selected component:
kernel-core-4.17.0-0.rc3.git4.1.fc29

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/root28/boot/vmlinuz-4.17.0-0.rc3.git4.1.fc29.x86_64 root=UUID=2662057f-e6c7-47fa-8af9-ad933a22f6ec ro rootflags=subvol=root28 rhgb quiet enable_mtrr_cleanup=1 zswap.enabled=1 zswap.max_pool_percent=25 zswap.compressor=lz4 LANG=en_US.UTF-8
crash_function: icm_start
kernel:         4.17.0-0.rc3.git4.1.fc29.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1511 at drivers/thunderbolt/switch.c:587 tb_switch_add+0x63e/0x730 [thunderbolt]
Modules linked in: vfat fat rfcomm fuse ccm thunderbolt(+) xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc dm_crypt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iTCO_wdt iTCO_vendor_support kvm arc4 snd_soc_skl snd_soc_skl_ipc irqbypass crct10dif_pclmul crc32_pclmul snd_hda_ext_core snd_soc_sst_dsp
 snd_soc_sst_ipc snd_soc_acpi ghash_clmulni_intel hp_wmi snd_soc_core wmi_bmof dm_thin_pool sparse_keymap dm_persistent_data dm_bio_prison intel_cstate iwlmvm intel_wmi_thunderbolt snd_hda_codec_hdmi snd_hda_codec_conexant intel_uncore snd_hda_codec_generic intel_rapl_perf snd_compress mac80211 snd_pcm_dmaengine ac97_bus snd_hda_intel snd_hda_codec iwlwifi snd_hda_core snd_hwdep uvcvideo snd_seq snd_seq_device btusb btrtl videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_pcm videobuf2_common cfg80211 btbcm btintel bluetooth videodev joydev media snd_timer snd soundcore i2c_i801 ecdh_generic rfkill idma64 shpchp mei_me mei processor_thermal_device intel_lpss_pci intel_soc_dts_iosf intel_pch_thermal intel_lpss wmi int3403_thermal int340x_thermal_zone pinctrl_sunrisepoint int3400_thermal
 pinctrl_intel acpi_thermal_rel hp_wireless acpi_pad btrfs libcrc32c xor zstd_decompress zstd_compress xxhash raid6_pq i915 nvme i2c_algo_bit drm_kms_helper crc32c_intel serio_raw nvme_core drm video lz4 lz4_compress
CPU: 3 PID: 1511 Comm: systemd-udevd Not tainted 4.17.0-0.rc3.git4.1.fc29.x86_64 #1
Hardware name: HP HP Spectre Notebook/81A0, BIOS F.40 02/26/2018
RIP: 0010:tb_switch_add+0x63e/0x730 [thunderbolt]
RSP: 0018:ffffb61ac4bc3a80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff937b337be050 RCX: 0000000000000006
RDX: 0000000000000007 RSI: ffff937b71404098 RDI: ffff937b765d6c40
RBP: ffffffffc109acd6 R08: 00000019e51fdec8 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: ffffffffc109acde
R13: 0000000000000001 R14: ffff937b34ec3d50 R15: ffff937b52010000
FS:  00007f78a4831180(0000) GS:ffff937b76400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f1ed2ff99c8 CR3: 00000002734cc002 CR4: 00000000003606e0
Call Trace:
 icm_start+0x45/0x90 [thunderbolt]
 tb_domain_add+0xa1/0xf0 [thunderbolt]
 nhi_probe+0x1a0/0x380 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xba/0xe0
 ? driver_probe_device+0x460/0x460
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x79/0xc0
 ? bus_add_driver+0x155/0x230
 ? 0xffffffffc10ae000
 ? driver_register+0x6b/0xb0
 ? 0xffffffffc10ae000
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? do_one_initcall+0x5d/0x362
 ? rcu_read_lock_sched_held+0x6b/0x80
 ? kmem_cache_alloc_trace+0x293/0x2f0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x21e6/0x2610
 ? __do_sys_init_module+0x152/0x1a0
 ? _cond_resched+0x15/0x30
 ? __do_sys_init_module+0x152/0x1a0
 ? do_syscall_64+0x60/0x1f0
 ? entry_SYSCALL_64_after_hwframe+0x49/0xbe
Code: 48 89 4c 24 08 44 89 44 24 04 e8 ae b5 60 d0 44 8b 44 24 04 4c 89 f2 48 8b 4c 24 08 48 89 c6 48 c7 c7 b8 be 09 c1 e8 26 a3 02 d0 <0f> 0b e9 56 fc ff ff 41 8b 97 cc 04 00 00 41 8b 87 c8 04 00 00 
irq event stamp: 55492
hardirqs last  enabled at (55491): [<ffffffff911374ea>] console_unlock+0x48a/0x650
hardirqs last disabled at (55492): [<ffffffff91c01389>] error_entry+0x89/0x110
softirqs last  enabled at (55478): [<ffffffff91e0038c>] __do_softirq+0x38c/0x4f7
softirqs last disabled at (55469): [<ffffffff910c12c1>] irq_exit+0x101/0x110

Comment 3 Chris Murphy 2018-05-08 00:00:31 UTC
Pretty sure this upstream bug is the same.

https://bugzilla.kernel.org/show_bug.cgi?id=199631

Comment 4 Steven Bakker 2018-05-11 16:50:47 UTC
Description of problem:
Rebooted after updates.

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-2e0022c6-600e-49c3-9627-3ec2ec466cab rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: icm_start
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 15295 at drivers/thunderbolt/switch.c:587 tb_switch_add+0x63c/0x720 [thunderbolt]
Modules linked in: rfcomm fuse ccm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep arc4 vfat fat iwlmvm mac80211 iTCO_wdt hid_multitouch mei_wdt iTCO_vendor_support snd_hda_codec_hdmi dell_wmi wmi_bmof intel_wmi_thunderbolt iwlwifi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp dell_laptop
 cfg80211 kvm_intel dell_smbios dcdbas dell_wmi_descriptor snd_soc_skl kvm snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_hda_codec_realtek snd_soc_sst_ipc snd_soc_acpi snd_hda_codec_generic rtsx_pci_ms snd_soc_core memstick irqbypass snd_compress snd_pcm_dmaengine uvcvideo intel_cstate ac97_bus snd_hda_intel intel_uncore snd_hda_codec intel_rapl_perf videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_core videobuf2_common snd_hwdep snd_seq videodev snd_seq_device btusb snd_pcm btrtl btbcm btintel bluetooth media joydev snd_timer snd ecdh_generic i2c_i801 soundcore rfkill idma64 shpchp mei_me mei ucsi_acpi typec_ucsi intel_lpss_pci processor_thermal_device typec intel_lpss intel_soc_dts_iosf intel_pch_thermal wmi intel_vbtn soc_button_array pinctrl_sunrisepoint pinctrl_intel
 acpi_pad int3403_thermal int3400_thermal intel_hid int340x_thermal_zone sparse_keymap acpi_thermal_rel auth_rpcgss binfmt_misc sunrpc dm_crypt i915 rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel nvme nvme_core rtsx_pci serio_raw i2c_hid video
CPU: 3 PID: 15295 Comm: systemd-udevd Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9360/0PF86Y, BIOS 2.6.2 02/26/2018
RIP: 0010:tb_switch_add+0x63c/0x720 [thunderbolt]
RSP: 0018:ffffba3785427a80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff92092e07e8a0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff92097e5968f0
RBP: ffffffffc1172af9 R08: 000000000000004c R09: 000000000000040e
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1172b01
R13: 0000000000000002 R14: ffff92092b13deb0 R15: ffff92092e07e400
FS:  00007fc4081a4180(0000) GS:ffff92097e580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ff690624ae0 CR3: 0000000467f5e003 CR4: 00000000003606e0
Call Trace:
 icm_start+0x45/0x90 [thunderbolt]
 tb_domain_add+0x9f/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1183000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 48 89 4c 24 08 44 89 44 24 04 e8 70 9c 42 c2 44 8b 44 24 04 4c 89 f2 48 8b 4c 24 08 48 89 c6 48 c7 c7 48 3b 17 c1 e8 ce 04 f4 c1 <0f> 0b e9 58 fc ff ff 41 8b 97 e4 02 00 00 41 8b 87 e0 02 00 00

Comment 5 Chris Murphy 2018-05-11 17:01:50 UTC
Please, all people experiencing this bug, if you can attach:

sudo journalctl -b -o short-monotonic > journal-<shortkversion>-<shortmakemodel>.log

Feel free to trim the part after the call trace if you want, but we kinda need at least a few minutes prior to the call trace to see if this is about fwupd or boltd instigating. I can't reproduce this consistently, so it seems some kind of race might be happening. Also if you can indicate whether you have devices attached or not.

e.g. journal-4.17.0rc4-hpspectre.log

Comment 6 Alex Martinez 2018-05-16 17:33:52 UTC
Description of problem:
Booted with a USB 3.1 Gen2 storage device connected to the Type C port (TB3 capable) of my laptop.

Version-Release number of selected component:
kernel-core-4.16.8-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.8-300.fc28.x86_64 root=/dev/mapper/luks-3ff8483f-6a5b-4839-b36a-df5cb96c8930 ro rd.lvm.lv=fedora_barret/00 rd.luks.uuid=luks-3ff8483f-6a5b-4839-b36a-df5cb96c8930 rd.lvm.lv=fedora_barret/01 rd.luks.uuid=luks-28545402-8bc3-42c5-873a-bd97b4599597 rd.luks.options=discard rhgb quiet LANG=en_US.UTF-8
crash_function: icm_start
kernel:         4.16.8-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 3284 at drivers/thunderbolt/switch.c:587 tb_switch_add+0x63c/0x720 [thunderbolt]
Modules linked in: rfcomm fuse ccm overlay thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 devlink xt_conntrack br_netfilter dm_thin_pool dm_persistent_data dm_bio_prison loop ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 bnep uinput sunrpc vfat fat ath10k_pci mei_wdt ath10k_core iTCO_wdt iTCO_vendor_support hid_multitouch wmi_bmof intel_wmi_thunderbolt
 dell_wmi uvcvideo intel_rapl btusb videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btrtl btbcm btintel x86_pkg_temp_thermal intel_powerclamp videobuf2_common bluetooth mac80211 coretemp videodev kvm_intel snd_hda_codec_hdmi media kvm dell_laptop dell_smbios dcdbas dell_wmi_descriptor snd_soc_skl snd_soc_skl_ipc irqbypass snd_hda_ext_core ath snd_soc_sst_dsp intel_cstate ecdh_generic snd_soc_sst_ipc intel_uncore snd_hda_codec_realtek intel_rapl_perf snd_soc_acpi snd_soc_core snd_hda_codec_generic cfg80211 snd_compress snd_pcm_dmaengine ac97_bus snd_hda_intel rtsx_pci_ms snd_hda_codec memstick rfkill snd_hda_core snd_hwdep snd_seq joydev snd_seq_device snd_pcm snd_timer mei_me snd mei i2c_i801 soundcore idma64 shpchp tpm_tis tpm_tis_core processor_thermal_device intel_lpss_pci intel_pch_thermal
 intel_soc_dts_iosf tpm intel_lpss ucsi_acpi typec_ucsi wmi typec intel_vbtn soc_button_array pinctrl_sunrisepoint pinctrl_intel int3400_thermal acpi_thermal_rel intel_hid int3403_thermal sparse_keymap int340x_thermal_zone acpi_pad dm_crypt i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel drm ghash_clmulni_intel nvme uas usb_storage nvme_core serio_raw rtsx_pci i2c_hid video
CPU: 1 PID: 3284 Comm: systemd-udevd Not tainted 4.16.8-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9360/0839Y6, BIOS 2.6.2 02/26/2018
RIP: 0010:tb_switch_add+0x63c/0x720 [thunderbolt]
RSP: 0018:ffffab768389fa80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff92d1790ef850 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff92d1c14968f0
RBP: ffffffffc0f4baf9 R08: 000000000000004c R09: 000000000000044b
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0f4bb01
R13: 0000000000000001 R14: ffff92d17c4e75a0 R15: ffff92d1790edc00
FS:  00007f880ca5b180(0000) GS:ffff92d1c1480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000000c420352008 CR3: 0000000424596006 CR4: 00000000003606e0
Call Trace:
 icm_start+0x45/0x90 [thunderbolt]
 tb_domain_add+0x9f/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0f5c000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 48 89 4c 24 08 44 89 44 24 04 e8 f0 66 65 e5 44 8b 44 24 04 4c 89 f2 48 8b 4c 24 08 48 89 c6 48 c7 c7 48 cb f4 c0 e8 4e 75 16 e5 <0f> 0b e9 58 fc ff ff 41 8b 97 e4 02 00 00 41 8b 87 e0 02 00 00

Comment 7 Chris Murphy 2018-05-16 17:41:17 UTC
(In reply to Alex Martinez from comment #6)

Can you see comment 5 and post it? Also is this a one off? Or does it happen more than once if you search the entire journal across multiple boots?

Comment 8 Philippe Macé 2018-05-25 16:35:33 UTC
Description of problem:
Computer just started.

Version-Release number of selected component:
kernel-core-4.16.10-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.10-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=fr_FR.UTF-8
crash_function: icm_start
kernel:         4.16.10-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2186 at drivers/thunderbolt/switch.c:587 tb_switch_add+0x63c/0x720 [thunderbolt]
Modules linked in: ccm thunderbolt(+) nvmem_core rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack fuse ip_set cmac nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat squashfs zstd_decompress xxhash loop btusb btrtl btbcm btintel bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media ecdh_generic arc4 snd_soc_skl
 snd_soc_skl_ipc snd_hda_ext_core intel_rapl snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi x86_pkg_temp_thermal intel_powerclamp snd_soc_core snd_hda_codec_hdmi coretemp snd_hda_codec_conexant kvm_intel snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus kvm iwlmvm snd_hda_intel snd_hda_codec mac80211 snd_hda_core iTCO_wdt iTCO_vendor_support snd_hwdep snd_seq wmi_bmof hp_wmi intel_wmi_thunderbolt sparse_keymap irqbypass crct10dif_pclmul snd_seq_device iwlwifi crc32_pclmul snd_pcm ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf cfg80211 snd_timer joydev snd idma64 soundcore rfkill mei_me processor_thermal_device i2c_i801 intel_lpss_pci mei shpchp tpm_crb intel_lpss intel_pch_thermal intel_soc_dts_iosf wmi int3403_thermal int340x_thermal_zone tpm_tis tpm_tis_core
 pinctrl_sunrisepoint pinctrl_intel tpm int3400_thermal hp_wireless acpi_thermal_rel acpi_pad binfmt_misc i915 i2c_algo_bit drm_kms_helper nvme crc32c_intel drm nvme_core serio_raw video
CPU: 1 PID: 2186 Comm: systemd-udevd Not tainted 4.16.10-300.fc28.x86_64 #1
Hardware name: HP HP Spectre Notebook/8255, BIOS F.34 06/15/2017
RIP: 0010:tb_switch_add+0x63c/0x720 [thunderbolt]
RSP: 0018:ffffabe2c4a3ba80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff94e8c8a0ad40 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff94e93ec968f0
RBP: ffffffffc0e6eaf9 R08: 000000000000004c R09: 0000000000000436
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e6eb01
R13: 0000000000000004 R14: ffff94e913c3f7c0 R15: ffff94e8c8a0a400
FS:  00007f3b4819f180(0000) GS:ffff94e93ec80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f71e4e5d000 CR3: 000000024cf88001 CR4: 00000000003606e0
Call Trace:
 icm_start+0x45/0x90 [thunderbolt]
 tb_domain_add+0x9f/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0e7f000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 48 89 4c 24 08 44 89 44 24 04 e8 f0 39 73 de 44 8b 44 24 04 4c 89 f2 48 8b 4c 24 08 48 89 c6 48 c7 c7 48 fb e6 c0 e8 4e 45 24 de <0f> 0b e9 58 fc ff ff 41 8b 97 e4 02 00 00 41 8b 87 e0 02 00 00

Comment 9 fred 2018-05-31 20:27:34 UTC
*** Bug 1584866 has been marked as a duplicate of this bug. ***

Comment 10 Dan Taylor 2018-06-07 20:00:46 UTC
Description of problem:
No idea. Got a report of a crash and recovery.

Version-Release number of selected component:
kernel-core-4.16.13-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.13-300.fc28.x86_64 root=/dev/mapper/fedora_diminished-root ro resume=/dev/disk/by-uuid/5baf15c5-b160-4eba-b09b-8a0abd497d26 rd.lvm.lv=fedora_diminished/root rd.luks.uuid=luks-21286a86-9128-456e-9791-5c88d8071132 rd.lvm.lv=fedora_diminished/swap rhgb quiet LANG=en_US.UTF-8
crash_function: icm_start
kernel:         4.16.13-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 icm_start in thunderbolt
#2 tb_domain_add in thunderbolt
#3 nhi_probe in thunderbolt
#4 local_pci_probe
#5 pci_device_probe
#6 driver_probe_device
#7 ? __driver_attach
#8 ? bus_for_each_drv
#9 ? __device_attach
#10 ? pci_bus_add_device

Comment 11 Christian Kellner 2018-07-19 11:52:23 UTC
Created attachment 1460011 [details]
Log of the event

I saw this happening the first time.

Comment 12 Laura Abbott 2018-10-01 21:28:09 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 13 Laura Abbott 2018-11-26 21:01:56 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)